"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceBase = void 0;
const crud_typeorm_1 = require("@nestjsx/crud-typeorm");
class ServiceBase extends crud_typeorm_1.TypeOrmCrudService {
    constructor(repo, _entity) {
        super(repo);
        this.repo = repo;
        this._entity = _entity;
        this.entity = _entity;
        this.relations = _entity.relations;
        this.recursiveRelations = _entity.recursiveRelations;
    }
    async findOneBy(where, manager) {
        const options = {
            where,
        };
        if (manager) {
            return manager.findOne(this.entity, options);
        }
        return this.findOne(options);
    }
    async findAllBy(where, manager) {
        const options = {
            where,
        };
        if (manager) {
            return manager.find(this.entity, options);
        }
        return this.find(options);
    }
    async createOneBy(params, manager) {
        const createEntity = this.repo.create(params);
        if (manager) {
            return manager.save(this.entity, createEntity);
        }
        return this.repo.save(createEntity);
    }
    async createAllBy(params, manager) {
        const createEntities = params.map((param) => this.repo.create(param));
        if (manager) {
            return manager.save(this.entity, createEntities);
        }
        return this.repo.save(createEntities);
    }
    async updateOneBy(where, set, manager) {
        if (manager) {
            return manager.update(this.entity, where, set);
        }
        return this.repo.update(where, set);
    }
    async deleteOneBy(where, manager) {
        if (manager) {
            return manager.delete(this.entity, where);
        }
        return this.repo.delete(where);
    }
}
exports.ServiceBase = ServiceBase;
//# sourceMappingURL=service.base.js.map